Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.area
Class BlockParent

    java.lang.Object
      org.apache.fop.area.AreaTreeObject
          org.apache.fop.area.Area
              org.apache.fop.area.BlockParent

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  BeforeFloat, Block, Footnote, NormalFlow

    public class BlockParent

extends Area

A BlockParent holds block-level areas.

See Also:
  Serialized Form

Field Summary
`protected java.util.List<Area>` | `children` The children of this block parent area.
`protected int` | `xOffset` The x offset position of this block parent.
`protected int` | `yOffset` The y offset position of this block parent.

Fields inherited from class org.apache.fop.area.Area
`bidiLevel, bpd, CLASS_ABSOLUTE, CLASS_BEFORE_FLOAT, CLASS_FIXED, CLASS_FOOTNOTE, CLASS_MAX, CLASS_NORMAL, CLASS_SIDE_FLOAT, effectiveIPD, ipd, log, ORIENT_0, ORIENT_180, ORIENT_270, ORIENT_90, traits`

Fields inherited from class org.apache.fop.area.AreaTreeObject
`extensionAttachments, foreignAttributes`

Constructor Summary
`BlockParent()`

Method Summary
`void` | `activateEffectiveIPD()`
`void` | `addBlock(Block block)` Add the block area to this block parent.
`void` | `addChildArea(Area childArea)` Add a child to this area.
`java.util.List` | `getChildAreas()` Get the list of child areas for this block area.
`int` | `getEffectiveIPD()`
`int` | `getXOffset()` Get the X offset of this block parent area.
`int` | `getYOffset()` Get the Y offset of this block parent area.
`boolean` | `isEmpty()` Check whether there are child areas.
`void` | `setXOffset(int off)` Set the X offset of this block parent area.
`void` | `setYOffset(int off)` Set the Y offset of this block parent area.

Methods inherited from class org.apache.fop.area.Area
`addTrait, clone, getAllocBPD, getAllocIPD, getAreaClass, getBidiLevel, getBorderAndPaddingWidthAfter, getBorderAndPaddingWidthBefore, getBorderAndPaddingWidthEnd, getBorderAndPaddingWidthStart, getBPD, getEffectiveAllocIPD, getIPD, getSpaceAfter, getSpaceBefore, getSpaceEnd, getSpaceStart, getTrait, getTraitAsBoolean, getTraitAsInteger, getTraits, hasTrait, hasTraits, resetBidiLevel, setAreaClass, setBidiLevel, setBPD, setIPD, setTraits, setWritingModeTraits, toString`

Methods inherited from class org.apache.fop.area.AreaTreeObject
`addExtensionAttachment, getExtensionAttachments, getForeignAttributes, getForeignAttributeValue, hasExtensionAttachments, setExtensionAttachments, setForeignAttribute, setForeignAttributes`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### xOffset

    protected int xOffset

  The x offset position of this block parent. Used for relative (serves as left-offset trait) and absolute positioning (serves as left-position trait).

### yOffset

    protected int yOffset

  The y offset position of this block parent. Used for relative (serves as top-offset trait) and absolute positioning (serves as top-position trait).

### children

    protected java.util.List<Area> children

  The children of this block parent area.

Constructor Detail

### BlockParent

    public BlockParent()

Method Detail

### addChildArea

    public void addChildArea(Area childArea)

  Add a child to this area. The default is to do nothing. Subclasses must override to do something if they can have child areas.

  Overrides:
    `addChildArea` in class `Area`
  Parameters:
    `childArea` - the child area to add

### addBlock

    public void addBlock(Block block)

  Add the block area to this block parent.

  Parameters:
    `block` - the child block area to add

### getChildAreas

    public java.util.List getChildAreas()

  Get the list of child areas for this block area.

  Returns:
    the list of child areas

### isEmpty

    public boolean isEmpty()

  Check whether there are child areas.

  Returns:
    the result.

### setXOffset

    public void setXOffset(int off)

  Set the X offset of this block parent area.

  Parameters:
    `off` - the x offset of the block parent area

### setYOffset

    public void setYOffset(int off)

  Set the Y offset of this block parent area.

  Parameters:
    `off` - the y offset of the block parent area

### getXOffset

    public int getXOffset()

  Get the X offset of this block parent area.

  Returns:
    the x offset of the block parent area

### getYOffset

    public int getYOffset()

  Get the Y offset of this block parent area.

  Returns:
    the y offset of the block parent area

### getEffectiveIPD

    public int getEffectiveIPD()

  Overrides:
    `getEffectiveIPD` in class `Area`

### activateEffectiveIPD

    public void activateEffectiveIPD()

  Overrides:
    `activateEffectiveIPD` in class `Area`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.